package com.ruoyi.project.production.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.production.mapper.TBlindMapper;
import com.ruoyi.project.production.domain.TBlind;
import com.ruoyi.project.production.service.ITBlindService;

import javax.annotation.Resource;

/**
 * 盲板清单Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-24
 */
@Service
public class TBlindServiceImpl implements ITBlindService
{
    @Resource
    private TBlindMapper tBlindMapper;

    /**
     * 查询盲板清单
     *
     * @param id 盲板清单ID
     * @return 盲板清单
     */
    @Override
    public TBlind selectTBlindById(String id)
    {
        return tBlindMapper.selectTBlindById(id);
    }

    /**
     * 查询盲板清单列表
     *
     * @param tBlind 盲板清单
     * @return 盲板清单
     */
    @Override
    public List<TBlind> selectTBlindList(TBlind tBlind)
    {
        return tBlindMapper.selectTBlindList(tBlind);
    }

    /**
     * 新增盲板清单
     *
     * @param tBlind 盲板清单
     * @return 结果
     */
    @Override
    public int insertTBlind(TBlind tBlind)
    {
        return tBlindMapper.insertTBlind(tBlind);
    }

    /**
     * 修改盲板清单
     *
     * @param tBlind 盲板清单
     * @return 结果
     */
    @Override
    public int updateTBlind(TBlind tBlind)
    {
        return tBlindMapper.updateTBlind(tBlind);
    }

    /**
     * 批量删除盲板清单
     *
     * @param ids 需要删除的盲板清单ID
     * @return 结果
     */
    @Override
    public int deleteTBlindByIds(String[] ids)
    {
        return tBlindMapper.deleteTBlindByIds(ids);
    }

    /**
     * 删除盲板清单信息
     *
     * @param id 盲板清单ID
     * @return 结果
     */
    @Override
    public int deleteTBlindById(String id)
    {
        return tBlindMapper.deleteTBlindById(id);
    }
}
